#!/usr/bin/env /usr/bin/python3
#coding=utf-8
# @rem Description:注册蓝牙HID profile

import sys
import dbus
import dbus.service
import dbus.mainloop.glib as DMGlib
try:
  from gi.repository import GObject
except ImportError:
  import gobject as GObject

BUS_NAME = 'org.bluez'
BLUEZ_MANAGER= "org.bluez.ProfileManager1"
PROFILE_PATH = "/org/bluez/profile"
UUID = "00001124-0000-1000-8000-00805f9b34fb"

if __name__ == '__main__':
    DMGlib.DBusGMainLoop(set_as_default=True)
    bus = dbus.SystemBus()

    mainloop = GObject.MainLoop()
    bus_object = bus.get_object(BUS_NAME, "/org/bluez");

    service_record = ''
    with open("/usr/bin/sdp_record_kbd.xml") as service_file:
        service_record = service_file.read()
    option_list = {
        "ServiceRecord": service_record,
        "RequireAuthentication": False,
        "RequireAuthorization": False,
        "Role": "server"
    }
    profile_manager = dbus.Interface(bus_object, BLUEZ_MANAGER)
    profile_manager.RegisterProfile(PROFILE_PATH, UUID, option_list)
    print("Finish RegisterProfile")

    mainloop.run()
